Skip to content
Permalink
Browse files

style: Remove old warning allow which is no longer relevant.

-moz-appearance uses cbindgen since a long time ago.

Differential Revision: https://phabricator.services.mozilla.com/D43472
  • Loading branch information...
emilio committed Aug 26, 2019
1 parent b0f3a68 commit 53cd37ce39213cc49c058a4cfa576c0499a86c00
Showing with 1 addition and 4 deletions.
  1. +1 −4 components/style/properties/gecko.mako.rs
@@ -345,10 +345,7 @@ def set_gecko_property(ffi_name, expr):
</%def>

<%def name="impl_keyword_clone(ident, gecko_ffi_name, keyword, cast_type='u8')">
// FIXME: We introduced non_upper_case_globals for -moz-appearance only
// since the prefix of Gecko value starts with ThemeWidgetType_NS_THEME.
// We should remove this after fix bug 1371809.
#[allow(non_snake_case, non_upper_case_globals)]
#[allow(non_snake_case)]
pub fn clone_${ident}(&self) -> longhands::${ident}::computed_value::T {
use crate::properties::longhands::${ident}::computed_value::T as Keyword;
// FIXME(bholley): Align binary representations and ditch |match| for cast + static_asserts

0 comments on commit 53cd37c

Please sign in to comment.
You can’t perform that action at this time.